Ubuntu

Change log for “exaile” package in Ubuntu

147 of 47 results
Published in trusty-release on 2013-11-01
Deleted in trusty-proposed (Reason: moved to release)
exaile (3.3.2-1) unstable; urgency=low


  * New upstream release.
  * Add debian/patches/20_use-logind-to-shutdown.patch: allow shutdown plugin
    to support both logind in addition to ConsoleKit. Thanks to Iain Lane.
  * Remove references to Shoutcast in package descriptions. (Closes: #721682)
  * (Re-)add lintian override for executable-not-elf-or-script.
  * Fix lintian warning vcs-field-not-canonical.
  * Remove deprecated DMUA flag in debian/control.
  * Update Standards version from 3.9.3 to 3.9.4, no changes required.

 -- Vincent Cheng <email address hidden>  Sat, 26 Oct 2013 16:55:00 -0700
Superseded in trusty-release on 2013-11-01
Published in saucy-release on 2013-05-02
Deleted in saucy-proposed (Reason: moved to release)
exaile (3.3.1-1ubuntu1) saucy; urgency=low

  * Use logind over ConsoleKit to shut the system down
 -- Iain Lane <email address hidden>   Thu, 02 May 2013 00:44:02 +0100
Superseded in saucy-release on 2013-05-02
Published in raring-release on 2012-11-16
Deleted in raring-proposed (Reason: moved to release)
exaile (3.3.1-1) unstable; urgency=low


  * New upstream release.
  * Remove unused lintian overrides.

 -- Vincent Cheng <email address hidden>  Thu, 15 Nov 2012 16:01:08 -0800

Available diffs

Superseded in raring-release on 2012-11-16
Deleted in raring-proposed on 2012-11-17 (Reason: moved to release)
exaile (3.3.0-1) unstable; urgency=low


  * Upload to unstable.
  * New upstream release.
  * Add lintian override for executable-not-elf-or-script.

 -- Vincent Cheng <email address hidden>  Sat, 22 Sep 2012 16:05:32 -0700

Available diffs

Superseded in raring-release on 2012-10-29
Published in quantal-release on 2012-05-24
exaile (0.3.2.2-3) unstable; urgency=low


  * Add suggests to exaile on python-avahi for the DAAP client/server plugin.
    (Closes: #669896)
  * Add versioned dependency on exaile (= ${source:Version}) for each of the
    plugin packages.
  * Add versioned dependency to exaile on python-mutagen (>= 1.10).
  * Add build-dep on python-gobject (>= 2.18) to fix python ImportError when
    creating manpage during build.
  * Remove build-dep on python-gtk2.
  * Merge Build-Depends and Build-Depends-Indep fields; src:exaile only builds
    arch:all packages anyways, so there's no point separating the build-deps.
  * Add debian/README.source and include build instructions, and workarounds
    to avoid exaile FTBFS when built with pbuilder/cowbuilder/sbuild.
  * Update debhelper compatibility level from 8 to 9.
  * Update Standards version from 3.9.2 to 3.9.3, no changes required.

 -- Vincent Cheng <email address hidden>  Thu, 03 May 2012 23:03:33 -0700

Available diffs

Superseded in quantal-release on 2012-05-24
Published in precise-release on 2011-12-21
exaile (0.3.2.2-2) unstable; urgency=low


  * Drop libgtk2.0-dev, intltool, intltool-debian from build dependencies.
  * Split contextinfo, ipod, and moodbar plugins into separate binary
    packages (and add debian/NEWS file to mention this change).
  * Merge Exaile's list of dependencies in Debian and Ubuntu:
    - Debian: remove dependency on python-sqlite2, libgstreamer0.10-0,
      gstreamer0.10-plugins-base, gstreamer0.10-alsa | gstreamer0.10-esd,
      python-glade2, python-pyvorbis, python-feedparser; remove recommends on
      python-gamin, python-gtkmozembed.
    - Ubuntu: remove depends/recommends on hal, python-sexy; remove suggests
      on gstreamer0.10-plugins-{ugly,bad}-multiverse.
  * Remove debian/patches/makefile_prefix.patch; use an override target in
    debian/rules instead to change prefix path.
  * Backport 128x128 icon from upstream to avoid displaying a pixelated icon
    in Unity's Dash.
    - Import debian/patches/20_dash_icon.patch from Ubuntu to not install
      48x48 icon.

 -- Vincent Cheng <email address hidden>  Fri, 02 Dec 2011 21:11:06 -0800
Superseded in precise-release on 2011-12-21
Published in oneiric-release on 2011-09-16
exaile (0.3.2.2-0ubuntu2) oneiric; urgency=low

  * Backport 128x128 icon from upstream bzr in order
    to display better in the Dash (LP: #834566).
  * Drop obsolete xpm icon.
 -- Andrew Starr-Bochicchio <email address hidden>   Thu, 15 Sep 2011 23:37:02 -0400
Superseded in oneiric-release on 2011-09-16
exaile (0.3.2.2-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * Convert to dh_python2.
  * Bump Standards-Version to 3.9.2.
  * Wrap and sort dependencies.
 -- Andrew Starr-Bochicchio <email address hidden>   Mon, 01 Aug 2011 14:12:53 -0400
Superseded in oneiric-release on 2011-08-01
exaile (0.3.2.1-2really0ubuntu1) oneiric; urgency=low

  * Re-upload 0.3.2.1-0buntu1. The Ubuntu Archive Auto-Sync
    over-wrote the Ubuntu changes due to the typo in
    the version string.
 -- Andrew Starr-Bochicchio <email address hidden>   Wed, 18 May 2011 22:28:38 -0400
Superseded in oneiric-release on 2011-05-19
exaile (0.3.2.1-2) unstable; urgency=low

  * Adopting package; change maintainer field in debian/control to:
    Vincent Cheng <email address hidden>. (Closes: #624358)
  * Update debhelper compatiblity level from 5 to 7.
  * Update Standards version from 3.8.1 to 3.9.2, no changes required.
  * Update debian/copyright to conform to DEP-5.
  * Update debian/rules to dh 7 "rules.tiny" style.
  * Add package help2man to build-depends.
  * Add manpage for /usr/bin/exaile.
  * Add debian/patches/makefile_prefix.patch to fix the PREFIX= paths in
    Exaile's makefiles (/usr/local -> /usr).
  * Remove unneeded technical terms from description. (Closes: #443085)
  * Remove recommends of python-eggtrayicon. (Closes: #560985)
  * Add recommends of gstreamer0.10-ffmpeg. (Closes: #596906)
  * Add recommends of python-pymtp. (Closes: #585107)
  * Bugs fixed upstream:
    - "Automatic library scan not working". (Closes: #436242)
    - "Exaile: use an http proxy". (Closes: #407503)
    - Fix Exaile's inability to sort with multiple options. (Closes: #444185)
    - Make cover art optional. (Closes: #444227)
    - "Exaile: bad settings.ini configuration file" - should be fixed with
      settings upgrade mechanism introduced in Exaile 0.3. (Closes: #439932)
    - "Cover art embedded in MP3 not displayed". (Closes: #444228)
    - Fix album cover fetching from Amazon. (Closes: #468942)
    - "Fails to use more than one GENRE tag". (Closes: #442941)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  09 May 2011 11:51:28 +0000

Available diffs

Superseded in oneiric-release on 2011-05-09
exaile (0.3.2.1-1) unstable; urgency=low

  * QA upload, orphaning the package. (See #624358)
  * New upstream release:
    - Fix startup crash (Closes: #622282)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sat,  30 Apr 2011 12:44:38 +0000

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
exaile (0.3.2.1-0buntu1) natty; urgency=low

  * New upstream release (LP: #714484, LP: #630221).
  * Drop debian/patches/jamendo_plugin_fix.diff,
    fixed upstream.
  * debian/patches/10_ubuntu_defaults.diff:
   - Don't enable shoutcast plugin.
  * debian/exaile.install: Don't install shoutcast plugin.
 -- Andrew Starr-Bochicchio <email address hidden>   Sun, 13 Feb 2011 12:33:27 -0500
Superseded in natty-release on 2011-02-13
Obsolete in maverick-release on 2013-03-05
exaile (0.3.2.0-0ubuntu3) maverick; urgency=low

  * debian/control: Fix typo in package description. (LP: #621583)
  * debian/patches/jamendo_plugin_fix.diff:
   - Update Jamendo plugin for internal API changes and add
     missing import. Backported from upstream (LP: #624948).
 -- Andrew Starr-Bochicchio <email address hidden>   Sat, 21 Aug 2010 01:57:06 -0400
Superseded in maverick-release on 2010-09-22
exaile (0.3.2.0-0ubuntu2) maverick; urgency=low

  * debian/control:
   - Bump Standards-Version to 3.9.1.
   - Explicitly depend on python-gobject (>= 2.18).
   - Drop depricated python-glade2 depends.
   - No need for plugins to depend on packages that exaile
     itself already depends on.
   - Update package descriptions.
  * Convert to DebSrc format 3.0.
  * Convert to dh7.
  * Drop un-needed pyversions file.
 -- Andrew Starr-Bochicchio <email address hidden>   Fri, 20 Aug 2010 23:45:07 -0400
Superseded in maverick-release on 2010-08-21
exaile (0.3.2.0-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * debian/exaile.1, debian/exaile.manpages: Drop manpage, now
    provided by upstream.
  * debian/control:
   - Versionize python-gtk2 Depends (>= 2.17).
   - Drop redundant gstreamer0.10-plugins-base Depends as we
     already Depend on gstreamer0.10-plugins-good.
   - Build-Depend on help2man and python-gtk2 (exaile.py is called
     and glib must be imported while building the manpage).
  * debian/exaile.install: Install manpage and shutdown plugin.
 -- Andrew Starr-Bochicchio <email address hidden>   Tue, 22 Jun 2010 16:38:26 -0400
Superseded in maverick-release on 2010-06-27
Published in lucid-release on 2010-04-13
exaile (0.3.1.1-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release.

  * debian/exaile.1, debian/exaile.manpages: Include and
    install manpage for exaile based on help2man output
    but including additions and tweaks.
  * debian/source/format: Add a file conataining "1.0"
    to make lintian happy.
 -- Andrew Starr-Bochicchio <email address hidden>   Mon, 12 Apr 2010 20:46:51 -0400
Superseded in lucid-release on 2010-04-13
exaile (0.3.1.0-0ubuntu2) lucid; urgency=low

  * Fix typo in 10_ubuntu_defaults.patch introduced in
    last upload. (LP: #548732)
 -- Andrew Starr-Bochicchio <email address hidden>   Fri, 26 Mar 2010 11:52:03 -0400
Superseded in lucid-release on 2010-03-26
exaile (0.3.1.0-0ubuntu1) lucid; urgency=low

  * New upsream release.
  * exaile.install: Install exfalso, currentsong, and
    lyricwiki plugins.
  * debian/control: Suggest exfalso.
 -- Andrew Starr-Bochicchio <email address hidden>   Wed, 24 Mar 2010 23:34:17 -0400
Superseded in lucid-release on 2010-03-25
exaile (0.3.1~b1-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Adjust exaile.install for new plugins.
  * debian/control:
   - Drop unneeded python-dev Build-Dep.
   - Bump Standards-Version to 3.8.4
  * debian/rules: No empty po files to delete.
 -- Andrew Starr-Bochicchio <email address hidden>   Fri, 12 Feb 2010 19:51:01 -0500
Superseded in lucid-release on 2010-02-17
exaile (0.3.0.2-0ubuntu1) lucid; urgency=low

  * New upstream bug-fix release:
   - The contextinfo plugin now works with newer
     versions of webkit. (LP: #427064)
   - A bug in the collection panel affecting expansion
     of items containing quote marks was fixed.
   - Non-ascii characters are now ordered correctly in
     the collection panel. (LP: #309394)
  * debian/patches: Remove un-needed series file. We use simple-patchsys.
 -- Andrew Starr-Bochicchio <email address hidden>   Mon, 09 Nov 2009 23:09:35 -0500
Superseded in lucid-release on 2009-11-10
Obsolete in karmic-release on 2013-03-04
exaile (0.3.0.1-0ubuntu6) karmic; urgency=low

  * debian/control: Add dependency on librsvg2-common. (LP: #445279)

 -- Andrew Starr-Bochicchio <email address hidden>   Thu, 08 Oct 2009 00:13:55 -0400
Superseded in karmic-release on 2009-10-13
exaile (0.3.0.1-0ubuntu5) karmic; urgency=low

  * debian/control: Add python-mmkeys Recommends for
    xkeys plugin. (LP: #441844)
  * debian/patches/10_notify-osd_by_default.patch renamed
    10_ubuntu_defaults.patch.
   - Prefer local covers to not over write them.
   - Set default import format.

 -- Andrew Starr-Bochicchio <email address hidden>   Mon, 05 Oct 2009 17:22:46 -0400
Superseded in karmic-release on 2009-10-05
exaile (0.3.0.1-0ubuntu4) karmic; urgency=low

  * libwebkit-1.0-1 -> libwebkit-1.0-2 transition.
  * debian/control:
   - Drop redundant libwebkit dependency for contextinfo plugin,
     python-webkit dep already pulls it in.

 -- Andrew Starr-Bochicchio <email address hidden>   Sat, 03 Oct 2009 13:21:17 -0400
Superseded in karmic-release on 2009-10-03
exaile (0.3.0.1-0ubuntu3) karmic; urgency=low

  * debian/exaile.install: Install notify and notify-osd plugins.
  * debian/control:
   - Add Recommends on python-notify and Suggests on notify-osd.
   - Add python-imaging Depends for exaile-plugin-contextinfo.
  * debian/patches/10_notify-osd_by_default.patch: (LP: #397210)
   - Enable Notify-OSD plugin by default as Exaile is part of the
     default Xubuntu desktop.

 -- Andrew Starr-Bochicchio <email address hidden>   Thu, 24 Sep 2009 21:50:22 -0400
Superseded in karmic-release on 2009-09-25
exaile (0.3.0.1-0ubuntu2) karmic; urgency=low

  * debian/rules: Remove empty PO files to resolve FTBFS. (LP: #420019)

 -- Andrew Starr-Bochicchio <email address hidden>   Tue, 22 Sep 2009 12:40:59 -0400
Superseded in karmic-release on 2009-09-22
exaile (0.3.0.1-0ubuntu1) karmic; urgency=low

  * New upstream release, complete rewrite. (LP: #420019)
  * debian/*: Packaging rewrite based on upstream packaging.

 -- Andrew Starr-Bochicchio <email address hidden>   Sat, 12 Sep 2009 17:02:32 -0400
Superseded in karmic-release on 2009-09-22
exaile (0.2.14+debian-2ubuntu3) karmic; urgency=low

  * debian/control:
   - Drop gstreamer0.10-plugins-ugly and gstreamer0.10-plugins-bad to suggests
     from recommends.

 -- <email address hidden> (Cody A.W. Somerville)   Thu, 13 Aug 2009 10:37:44 -0300
Superseded in karmic-release on 2009-08-13
exaile (0.2.14+debian-2ubuntu2) karmic; urgency=low

  * debian/rules:
   - Really delete feedparser.py and win32-mmkeys.py in Ubuntu
  * debian/patches/000-Do_not_download_remote_plugins.diff:
   - Disable all update checking. As we disable the ability to
     download updates, we shouldn't throw pop-ups about them.

 -- Andrew Starr-Bochicchio <email address hidden>   Sat, 06 Jun 2009 19:23:09 -0400
Superseded in karmic-release on 2009-06-07
exaile (0.2.14+debian-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #382852), remaining changes:
    - debian/control:
      + Add XS/XB-Python-Version
      + Version the python-gtk2 Depend
      + Recommend gstreamer0.10-plugins-bad and python-sexy
    - debian/rules:
      + Make burn.py and cd_import.py executable
      + Link between /usr/share/exaile/exaile.py and /usr/lib version
    - debian/patches/002_Files_on_share_dir.diff
      + Updated to also move new plugins directory from lib to share

Superseded in karmic-release on 2009-06-06
Obsolete in jaunty-release on 2013-02-28
exaile (0.2.14-0ubuntu2) jaunty; urgency=low

  * Rebuild for Python 2.6 transition.
    - Add --install-layout=deb to setup.py install invocation.

 -- James Westby <email address hidden>   Sun, 01 Mar 2009 18:19:34 +0000

Available diffs

Superseded in jaunty-release on 2009-03-01
exaile (0.2.14-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #280287)
  * debian/control:
    - tighten dependency on python-gtk2 to (>= 2.10)
    - added python-sexy to recommends to add a clear button to filters
    - added python-gnome2-extras to recommends for lyrics, better tray icon,
      etc.

 -- Nick Ellery <email address hidden>   Tue, 04 Nov 2008 18:33:00 -0800

Available diffs

Superseded in jaunty-release on 2008-11-18
Obsolete in intrepid-release on 2013-02-20
exaile (0.2.13-0ubuntu1) intrepid; urgency=low

  * New upstream release. LP: #209411
  * Removed: debian/docs
  * debian/patches
   - Dropped 03_fix_mmkeys.dpatch Fixed upstream.

  * Merge from debian unstable (LP: #227961), remaining changes:
   - debian/control
    + Build-Dep on dpatch needed for patches
    + Added a Recommends on gstreamer0.10-plugins-bad,
      needed by exaile's equaliser to work.
    + Added XS/XB-Python-Version
   - debian/patches:
    + 02_files-on-share-dir, added to adjust the Makefile to point
      to the right policy installation dir on /usr/share/pkg.
    + 03_fix_mmkeys.dpatch, added to get Multimedia Keys working
   - debian/rules:
    + Added a link between /usr/lib/exaile/exaile.py and
      /usr/share/exaile/exaile.py preventing an error while starting
      exaile up.
    + Make burn.py and cd_import.py executables
   - Removed:
    + debian/README.Debian-source (orig tarball not repackaged)
    + debian/pyversions
   - debian/docs: Removed README.Debian-source
  * debian/patches/02_files-on-share-dir
   - Tweaked inorder to apply cleanly.

 -- Andrew Starr-Bochicchio <email address hidden>   Sat, 10 May 2008 16:07:16 -0400
Superseded in intrepid-release on 2008-05-11
Published in hardy-release on 2008-04-08
exaile (0.2.11.1-0ubuntu3) hardy; urgency=low

  * debian/patches/03_fix_mmkeys.dpatch,
    debian/patches/00list:
    - Added to get Multimedia Keys working (LP: #188702)

 -- Pedro Fragoso <email address hidden>   Tue, 08 Apr 2008 03:21:07 +0100
Superseded in hardy-release on 2008-04-08
exaile (0.2.11.1-0ubuntu2) hardy; urgency=low

  * debian/control:
    - Added a Recommends on gstreamer0.10-plugins-bad,
      needed by exaile's equaliser to work.
    - Bumped Standards-Version to 3.7.3

 -- Andrea Veri <email address hidden>   Mon, 24 Dec 2007 15:16:23 +0100
Obsolete in gutsy-backports on 2011-09-16
exaile (0.2.11.1-0ubuntu1~gutsy1) gutsy-backports; urgency=low

  * Automated backport upload; no source changes.

Superseded in hardy-release on 2007-12-24
exaile (0.2.11.1-0ubuntu1) hardy; urgency=low

  [ Cody A.W. Somerville ]
  * New upstream release.
  * Removed:
   - debian/README.Debian-source (orig tarball not repackaged)
   - debian/pyversions
   - debian/README.Debian
  * debian/control: Added XS/XB-Python-Version
  * debian/docs: Removed README.Debian-source

  [ Sarah Hobbs ]
  * Fixed changelog, and various parts of debian dir

 -- Sarah Hobbs <email address hidden>   Fri, 23 Nov 2007 17:45:36 +1100
Superseded in hardy-release on 2007-11-23
exaile (0.2.11-0ubuntu1) hardy; urgency=low

  * New upstream release.
  * debian/patches:
    - 03_gtkembedmoz_crash_fix patch removed, bug has been fixed
      upstream.
    - 432164.dpatch removed, bug has been fixed upstream as well.
    - 02_files-on-share-dir, added to adjust the Makefile to point
      to the right policy installation dir on /usr/share/pkg.
    - fix_makefile_for_pysupport, updated and cleaned up a bit to have
      a working patch-apply again.
  * debian/rules:
    - Added a link between /usr/lib/exaile/exaile.py and
      /usr/share/exaile/exaile.py preventing an error while starting
      exaile up.
    - Updated strip_shebang target directory to /usr/share/exaile/xl/plugins.
      It seems that upstream now ships plugins inside /xl dir.
    - Making burn.py and cd_import.py executables making lintian
      happy again.
  * debian/control:
    - Moving upstream's homepage url from package description to the new
      Debian field Homepage at the top of debian/control.

 -- Andrea Veri <email address hidden>   Wed, 07 Nov 2007 17:31:29 +0100
Superseded in hardy-release on 2007-11-09
Obsolete in gutsy-release on 2011-09-16
exaile (0.2.10+debian-1.1ubuntu2) gutsy; urgency=low

  * 03_gtkembedmoz_crash_fix: added to fix a crash related to lib gtkembedmoz
    when trying to display any sub-tab like Artist/lyrics using the
    latest exaile release. Steps to reproduce it can be found on the bug report.
    Thanks to Fabien Tassin for reporting and fixing this issue. (LP: #123409)

 -- Andrea Veri <email address hidden>   Sun, 14 Oct 2007 21:15:49 +0200
Superseded in gutsy-release on 2007-10-15
exaile (0.2.10+debian-1.1ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Recommends python-gtkhtml2
    - Modify Maintainer value to match Debian-Maintainer-Field Spec

Superseded in gutsy-release on 2007-07-10
exaile (0.2.10+debian-1ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Recommends python-gtkhtml2
    - Updated Maintainer field in debian/control.

Superseded in gutsy-release on 2007-06-30
exaile (0.2.9+debian-4ubuntu2) gutsy; urgency=low

  * 03_amazon_ecs40.dpatch: Use Amazon ECS version 4.0 (LP: #119643)

 -- Luca Falavigna <email address hidden>   Fri, 22 Jun 2007 11:47:46 +0200
Superseded in gutsy-release on 2007-06-24
exaile (0.2.9+debian-4ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Recommends python-gtkhtml2 (LP: #84463)
    - Updated maintainer fields.

Superseded in gutsy-release on 2007-05-16
exaile (0.2.9+debian-3ubuntu1) gutsy; urgency=low

  * Merge with Debian Unstable, Ubuntu changes: (LP: #106301)
    - Build-Depend on python-all-dev instead of python-dev to fix FTBS
    - Recommends python-gtkhtml2 (LP: #84463)
    - Updated maintainer fields.

Superseded in gutsy-release on 2007-04-29
Obsolete in feisty-release on 2009-08-20
exaile (0.2.8+debian-1ubuntu2) feisty; urgency=low

  * debian/control:
    - Recommends python-gtkhtml2 (LP: #84463)
    - Updated maintainer fields

 -- Jonh Wendell <email address hidden>   Fri, 30 Mar 2007 15:21:32 -0300
Obsolete in edgy-backports on 2008-06-19
exaile (0.2.8+debian-1ubuntu1~edgy1) edgy-backports; urgency=low

  * Automated backport upload; no source changes.

Superseded in feisty-release on 2007-03-30
exaile (0.2.8+debian-1ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Build-Depend on python-all-dev instead of python-dev to fix FTBS

 -- Cody A.W. Somerville <email address hidden>   Mon, 29 Jan 2007 16:23:43 -0400
Superseded in feisty-release on 2007-01-30
exaile (0.2.7+debian-1ubuntu1) feisty; urgency=low

  * debian/control:
   - Build-Depend on python-all-dev instead of python-dev to fix FTBS

147 of 47 results